Bug 1001744 - 'debug' on the kernel command line causes boot failure
'debug' on the kernel command line causes boot failure
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
Depends On:
Blocks: 1001745
  Show dependency treegraph
Reported: 2013-08-27 12:02 EDT by Eric Paris
Modified: 2013-10-21 17:35 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1001745 (view as bug list)
Last Closed: 2013-10-21 17:35:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Paris 2013-08-27 12:02:25 EDT
Remove 'rhgb quiet' from the kernel command line in the grub config and add 'debug'.  The system will mostly hang right after it says 'Welcome to $DISTRO'.

It isn't completely dead, as I still get one log line every minute or so.  But 10 minutes the system is clearly not booted and has made no visible progress.  I wonder if there is a sleep 60 type line in the debug code path somewhere?
Comment 1 Kay Sievers 2013-08-27 12:28:26 EDT
Seem that systemd's own logging gets stuck in the filled-up journal socket,
before the journal is started, and tools only log in 1/min frequency. :)

This seems to make it work for me:
Comment 2 Fedora Update System 2013-09-13 12:15:53 EDT
systemd-207-1.fc20 has been submitted as an update for Fedora 20.
Comment 3 Fedora Update System 2013-09-22 20:04:04 EDT
systemd-207-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.